Skip to content

Inspection Requests

Inspection requests run inspections for a range of dates, like an inspection started from the Inspection Hub. Authentication, pagination and errors are described in the Overview.

Method Path Description
POST /v1/inspection-requests Submit an inspection request
GET /v1/inspection-requests/{inspection_request_id} Inspection request status

Submit an inspection request

POST /v1/inspection-requests

Request body: SubmitInspectionRequest

Responses

Status Description Body
200 Submit an inspection request SubmitInspectionRequestResponse
401 Not authenticated ApiError
403 Not authorized ApiError
500 Internal error ApiError

Example

curl -X POST 'https://digna.example.com/v1/inspection-requests' \
  -H "Authorization: Bearer $DIGNA_API_KEY" \
  -H 'Content-Type: application/json' \
  -d '{
    "data_source_ids": [
      1
    ],
    "end_date": "2026-11-01",
    "include_all_data_sources": false,
    "mode": "DAILY",
    "monthly_mode_days": [
      1
    ],
    "project_id": 1,
    "start_date": "2026-11-01",
    "use_notification": false,
    "weekly_mode_weekdays": [
      "MONDAY"
    ]
  }'

Inspection request status

GET /v1/inspection-requests/{inspection_request_id}

Parameters

Name In Type Required Description
inspection_request_id path integer Yes Inspection request ID

Responses

Status Description Body
200 Inspection request status InspectionRequestStatusResponse
401 Not authenticated ApiError
403 Not authorized ApiError
404 Inspection request not found ApiError
500 Internal error ApiError

Example

curl -X GET 'https://digna.example.com/v1/inspection-requests/<inspection_request_id>' \
  -H "Authorization: Bearer $DIGNA_API_KEY"

Schemas

SubmitInspectionRequest

Field Type Required Description
data_source_ids array of integer Yes
end_date string (date) Yes
include_all_data_sources boolean Yes
inspection_job_id integer, nullable No
mode StableInspectionRequestMode Yes
monthly_mode_days array of integer Yes
project_id integer Yes
start_date string (date) Yes
use_notification boolean Yes
weekly_mode_weekdays array of StableInspectionRequestWeekday Yes

SubmitInspectionRequestResponse

Field Type Required Description
id integer Yes

ApiError

Field Type Required Description
code ApiErrorCode Yes
message string Yes

InspectionRequestStatusResponse

Field Type Required Description
id integer Yes
status StableInspectionOperationStatus Yes

StableInspectionRequestMode

One of: DAILY, WEEKLY, MONTHLY.

StableInspectionRequestWeekday

One of: MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY.

ApiErrorCode

One of: INTERNAL_ERROR, INVALID_CREDENTIALS, NOT_FOUND, NOT_AUTHENTICATED, NOT_AUTHORIZED, INVALID_LICENSE, BAD_REQUEST.

StableInspectionOperationStatus

One of: PENDING, RUNNING, COMPLETED, FAILED, ABORTED, CANCELLED.